E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::EventHandlerList::Lock Struct Reference

A RAII class to lock and unlock GNet::EventHandlerList. More...

`#include <geventhandlerlist.h>`

## Public Member Functions
| Lock (EventHandlerList &, bool *invalid_p=nullptr)
| Lock (const Lock &)=delete
| Lock (Lock &&)=delete
void | operator= (const Lock &)=delete
void | operator= (Lock &&)=delete

## Public Attributes
EventHandlerList & | m_list
bool * | m_invalid_p

## Detailed Description

A RAII class to lock and unlock GNet::EventHandlerList.

Definition at line 103 of file geventhandlerlist.h.

## Constructor & Destructor Documentation

## ◆ Lock()

GNet::EventHandlerList::Lock::Lock | ( | EventHandlerList & | list,
|  | bool * | invalid_p = `nullptr`
| ) |  |
| explicit

Definition at line 270 of file geventhandlerlist.cpp.

## ◆ ~Lock()

GNet::EventHandlerList::Lock::~Lock | ( |  | ) |

Definition at line 277 of file geventhandlerlist.cpp.

## Member Data Documentation

## ◆ m_invalid_p

bool* GNet::EventHandlerList::Lock::m_invalid_p

Definition at line 112 of file geventhandlerlist.h.

## ◆ m_list

EventHandlerList& GNet::EventHandlerList::Lock::m_list

Definition at line 111 of file geventhandlerlist.h.

The documentation for this struct was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/geventhandlerlist.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/geventhandlerlist.cpp